summaryrefslogtreecommitdiff
path: root/system
diff options
context:
space:
mode:
authorErik Hanson <erik@slackbuilds.org>2010-05-11 15:18:44 +0200
committerMichiel van Wessem <michiel@slackbuilds.org>2010-05-11 15:18:44 +0200
commit3a93d214a76c222e7287774b16a1a86dfa29f787 (patch)
treeffc28ccb572f88fa66b586e911d3a03ee4388591 /system
parent9f425370dc459b01530571fa24ff8b46aab9c8ed (diff)
downloadslackbuilds-3a93d214a76c222e7287774b16a1a86dfa29f787.tar.gz
system/qemulator: Initial import
Diffstat (limited to 'system')
-rw-r--r--system/qemulator/README14
-rw-r--r--system/qemulator/doinst.sh3
-rw-r--r--system/qemulator/qemulator.SlackBuild44
-rw-r--r--system/qemulator/qemulator.info8
-rw-r--r--system/qemulator/slack-desc11
5 files changed, 80 insertions, 0 deletions
diff --git a/system/qemulator/README b/system/qemulator/README
new file mode 100644
index 0000000000..0eb951b87e
--- /dev/null
+++ b/system/qemulator/README
@@ -0,0 +1,14 @@
+Qemulator is a graphical emulation suite for the qemu virtual-engine,
+written in python with gtk and glade.
+
+Finally Qemulator will try to support all engines and options for all
+common platforms. All currently not supported options can still be used
+by adding them to the available commandline.
+
+Qemulator is licenced under the terms of the GPL (General Public Licence).
+
+Required dep: PyGTK (which requires pycairo and pygobject), available at
+ slackbuilds.org
+Optional dep: Python-Gnome-extras (for tray functionality, else tray icon
+ and all it's enhancements will be disabled)
+
diff --git a/system/qemulator/doinst.sh b/system/qemulator/doinst.sh
new file mode 100644
index 0000000000..85aad974d0
--- /dev/null
+++ b/system/qemulator/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database &> /dev/null
+fi
diff --git a/system/qemulator/qemulator.SlackBuild b/system/qemulator/qemulator.SlackBuild
new file mode 100644
index 0000000000..ee98dbd3ce
--- /dev/null
+++ b/system/qemulator/qemulator.SlackBuild
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# Slackware build script for Qemulator
+# Written by Erik Hanson erik@slackbuilds.org
+
+# Modified by the SlackBuilds.org project
+
+set -eu
+
+PRGNAM=Qemulator
+PKGNAM=qemulator
+VERSION=0.4.5
+ARCH=${ARCH:-noarch}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a usr/local/* $PKG/usr
+cp -a INSTALL INSTALL.DE LICENCE README TRANSLATION $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PKGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG/usr/lib/qemulator
+chmod 0755 qml_network.py qml_ptsmanager.py qml_controlmon.py qemulator.py
+
+sed -i 's|Icon=qemulator.svg|Icon=/usr/share/pixmaps/qemulator.svg|' \
+ $PKG/usr/share/applications/qemulator.desktop
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/qemulator/qemulator.info b/system/qemulator/qemulator.info
new file mode 100644
index 0000000000..289d69b6ac
--- /dev/null
+++ b/system/qemulator/qemulator.info
@@ -0,0 +1,8 @@
+PRGNAM="qemulator"
+VERSION="0.4.5"
+HOMEPAGE="http://qemulator.createweb.de/"
+DOWNLOAD="http://qemulator.createweb.de/downloads/Qemulator-0.4.5.tar.gz"
+MD5SUM="a9ea901b8e1a9c5d5087220bd8b4f3ed"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="BP{k}"
diff --git a/system/qemulator/slack-desc b/system/qemulator/slack-desc
new file mode 100644
index 0000000000..c324c4d91e
--- /dev/null
+++ b/system/qemulator/slack-desc
@@ -0,0 +1,11 @@
+qemulator: Qemulator - a graphical emulation suite for the qemu virtual-engine
+qemulator:
+qemulator: Qemulator is a graphical emulation suite for the qemu virtual
+qemulator: engine, written in python with gtk and glade.
+qemulator: Finally Qemulator will try to support all engines and options for
+qemulator: all common platforms. All currently not supported options can still
+qemulator: be used by adding them to the available commandline.
+qemulator:
+qemulator:
+qemulator: http://qemulator.createweb.de/
+qemulator: